Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class SunClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.codehaus.groovy.reflection.SunClassLoader

All Implemented Interfaces:
  org.objectweb.asm.Opcodes

    public class SunClassLoader
    extends ClassLoader

Special class loader, which when running on Sun VM allows to generate accessor classes for any method

Field Summary
`protected Map` | `knownClasses`
`protected static SunClassLoader` | `sunVM`

Constructor Summary
`protected SunClassLoader()`

Method Summary
`protected void` | `define(byte[] bytes, String name)`
`Class` | `doesKnow(String name)`
`protected Class` | `loadClass(String name, boolean resolve)`
`protected void` | `loadFromRes(String name)`
`protected static String` | `resName(String s)`

Methods inherited from class ClassLoader
loadClass, getSystemClassLoader, getResource, getResourceAsStream, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### knownClasses

    protected final Map knownClasses

### sunVM

    protected static final SunClassLoader sunVM

Constructor Detail

### SunClassLoader

    protected SunClassLoader()

Method Detail

### define

    protected void define(byte[] bytes, String name)

### doesKnow

    public Class doesKnow(String name)

### loadClass

    protected Class loadClass(String name, boolean resolve)

### loadFromRes

    protected void loadFromRes(String name)

### resName

    protected static String resName(String s)

Copyright © 2003-2010 The Codehaus. All rights reserved.